commit:     6a90b82d049ed68bd451752ec675c482972a0c0a
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 12 01:39:33 2021 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Fri Feb 12 01:39:33 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a90b82d

dev-java/openjdk-bin: bump to 11.0.10_p9

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 dev-java/openjdk-bin/Manifest                      |   4 +
 dev-java/openjdk-bin/openjdk-bin-11.0.10_p9.ebuild | 111 +++++++++++++++++++++
 2 files changed, 115 insertions(+)

diff --git a/dev-java/openjdk-bin/Manifest b/dev-java/openjdk-bin/Manifest
index 58d0618e809..2fff069cd50 100644
--- a/dev-java/openjdk-bin/Manifest
+++ b/dev-java/openjdk-bin/Manifest
@@ -1,6 +1,10 @@
+DIST OpenJDK11U-jdk_aarch64_linux_hotspot_11.0.10_9.tar.gz 190883956 BLAKE2B 
404236a3448a64b3f8a74543179dff076d0eb226250525dd5988f5884f25d9d02fd561d3155144082aca61f825b5565593a4aa6e31a70b864dbe504af6151673
 SHA512 
043195ceb116380dd6ef1a51cfc172f798f7494913af074eb959a8871aebf9e89b2396bfba018cb39d3e5792274ba518c49c0ca3cdbc1ee08839af295dbfd2be
 DIST OpenJDK11U-jdk_aarch64_linux_hotspot_11.0.9_11.tar.gz 190728488 BLAKE2B 
beda483e90e733932ca9cf9631ae3f97b7106fd3c80b4a70465f9d32d52bf2ba4f395fa5ad7b08a4998e5c72f3794e0189750a883422aaeaf42877750d7c4647
 SHA512 
a9fbd1336357bf7880e6eebaab9649ca2b5db5ea93bb184e9fa682d64f18bfa0addb87de5a04e13bc337536b2edce5189bba703c8eb3a524567073add6d29a95
+DIST OpenJDK11U-jdk_arm_linux_hotspot_11.0.10_9.tar.gz 182395059 BLAKE2B 
585a5bb34c61526e1ff233b86bb8be9757a3aad14ffe3c7825b77a3f3d6aaa02dd3db5f6c1a033c83808f0b3df56d5b1c1913c159a09ef7e5448731120bb5689
 SHA512 
65bfc7949c6d2b04d06076dce903ae8036afc73980b709cd7a925b36815adc565c160362c421c13bca077a54ba13861ac1434e13f23eec6394f9f84e8a49edbb
 DIST OpenJDK11U-jdk_arm_linux_hotspot_11.0.9_11.tar.gz 182835103 BLAKE2B 
2b8849c5b9f490bf7700317525d3538ace19abcd73436a5c27251a282348345dba3c438c062ee60a2070f64c8c8e93a5d5d632a44f410775ed4fff1d691219f8
 SHA512 
707efc9d0660f0c06d4955e56761422b9da41b5afacfa337711c6a2500441f80fad1c65d8a4b0a1334ec6d5c6e55d464fc1cff1ade21e8cca42cffd0c161c1e2
+DIST OpenJDK11U-jdk_ppc64le_linux_hotspot_11.0.10_9.tar.gz 176435718 BLAKE2B 
c99ed49a093d9bbb30ece0d7157dd2664eca0fe334d379b282410a5ddb90d80a52ba85da6c32d16a1b08be37cb098b34d5465c2de593b4562c1c46f60e626fb6
 SHA512 
0bd978a09886078f646cab2fb856e99a08498e7170e2031df9d1e3c813200f8d9d152737e3d7cf8c6bf845f59c792f1aa13f7a6693de9f87ebe6a12c25e80af8
 DIST OpenJDK11U-jdk_ppc64le_linux_hotspot_11.0.9_11.tar.gz 177065013 BLAKE2B 
04bb16a464a7984df770c52c5e2b8b1d9ec79142eb8a9c9a95a8ea02656b823a2505085e1521d94b9d994a1f5675fb524b917c9fdea46269e45a43d10c066947
 SHA512 
45619214cfc54be5b68e1ac8112a239a156be5a126631b2ff994a3b70e2e0aa899e5f9a4d31381eba2eb743790e4bdc2014ac342419a004502ce40945b3f4890
+DIST OpenJDK11U-jdk_x64_linux_hotspot_11.0.10_9.tar.gz 194069769 BLAKE2B 
b537bdf553b1da11c06ba8aed7f2baa498da384209b5c94b22995a6d05e1d83b4fee215c6c27e1975e6d2e04805916f85c8fa244f53a6f002d3eb42d56898b74
 SHA512 
993881259ba470030c589f272d239aa185b1b460c4d505a266cb99f7107de2aa646b3cb8bb8d38fa454d226228c6d3dd8245301c8535c7f6b3bec766cc555bf9
 DIST OpenJDK11U-jdk_x64_linux_hotspot_11.0.9_11.tar.gz 193980586 BLAKE2B 
cc927d923ca29ca41ea9cfc38bf07761904fb9f31fa59b5c882ec260d982a9af6c49034d80e6ed4d141c5ece1a1d297c3c153358ad940e61a4f667c53d6c040c
 SHA512 
1ccaba9673a85287953a6ffbedf7caec4c2d64e0a121277bca6e40a6d47eaf414ed7470971f271e28309b97e95268348a7ad4fb2a03861eeb193d1f0536f2727
 DIST OpenJDK8U-jdk_aarch64_linux_hotspot_8u272b10.tar.gz 103598972 BLAKE2B 
34ee2fc6a1cf23c9c04522a82f74ba60c53cc461e370c8aa88d6b62b4c4539e96d233a232f38390b9f0932768c5fb662a44e425d0f5bebbf982c657686b163d7
 SHA512 
5b44f094219daf383743d463c50917c2d60b289187e363748c3a4dc16471d84e4d28b6bc30879d137b79645f7ce977c755e8a5714bc272e012bce900f3db8ea4
 DIST OpenJDK8U-jdk_arm_linux_hotspot_8u272b10.tar.gz 99368824 BLAKE2B 
970a0859a09002978b7603beb9cd94556fcdbb8923a88e48dca167e5ecc1495fddd00c786c7b9c0e608de48d485b2e8b4da7491d4e85e488fd1baf7ddc021951
 SHA512 
6974c06644aed4c7fb8f6004f4d8fd7790252e148ecfb3e1d29a7251429e413e8adbd910231b3cd5b9dd195a570b3fbeb95e6ab09b3ae318f3f842eb7ac418c6

diff --git a/dev-java/openjdk-bin/openjdk-bin-11.0.10_p9.ebuild 
b/dev-java/openjdk-bin/openjdk-bin-11.0.10_p9.ebuild
new file mode 100644
index 00000000000..4583d782335
--- /dev/null
+++ b/dev-java/openjdk-bin/openjdk-bin-11.0.10_p9.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit java-vm-2 toolchain-funcs
+
+abi_uri() {
+       echo "${2-$1}? (
+                       
https://github.com/AdoptOpenJDK/openjdk${SLOT}-binaries/releases/download/jdk-${MY_PV}/OpenJDK${SLOT}U-jdk_${1}_linux_hotspot_${MY_PV//+/_}.tar.gz
+               )"
+}
+
+MY_PV=${PV/_p/+}
+SLOT=${MY_PV%%[.+]*}
+
+SRC_URI="
+       $(abi_uri arm)
+       $(abi_uri aarch64 arm64)
+       $(abi_uri ppc64le ppc64)
+       $(abi_uri x64 amd64)
+"
+
+DESCRIPTION="Prebuilt Java JDK binaries provided by AdoptOpenJDK"
+HOMEPAGE="https://adoptopenjdk.net";
+LICENSE="GPL-2-with-classpath-exception"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64"
+IUSE="alsa cups +gentoo-vm headless-awt selinux source"
+
+RDEPEND="
+       media-libs/fontconfig:1.0
+       media-libs/freetype:2
+       >=sys-apps/baselayout-java-0.1.0-r1
+       >=sys-libs/glibc-2.2.5:*
+       sys-libs/zlib
+       alsa? ( media-libs/alsa-lib )
+       cups? ( net-print/cups )
+       selinux? ( sec-policy/selinux-java )
+       !headless-awt? (
+               x11-libs/libX11
+               x11-libs/libXext
+               x11-libs/libXi
+               x11-libs/libXrender
+               x11-libs/libXtst
+       )"
+
+RESTRICT="preserve-libs splitdebug"
+QA_PREBUILT="*"
+
+S="${WORKDIR}/jdk-${MY_PV}"
+
+pkg_pretend() {
+       if [[ "$(tc-is-softfloat)" != "no" ]]; then
+               die "These binaries require a hardfloat system."
+       fi
+}
+
+src_install() {
+       local dest="/opt/${P}"
+       local ddest="${ED%/}/${dest#/}"
+
+       # Not sure why they bundle this as it's commonly available and they
+       # only do so on x86_64. It's needed by libfontmanager.so. IcedTea
+       # also has an explicit dependency while Oracle seemingly dlopens it.
+       rm -vf lib/libfreetype.so || die
+
+       # Oracle and IcedTea have libjsoundalsa.so depending on
+       # libasound.so.2 but AdoptOpenJDK only has libjsound.so. Weird.
+       if ! use alsa ; then
+               rm -v lib/libjsound.* || die
+       fi
+
+       if use headless-awt ; then
+               rm -v lib/lib*{[jx]awt,splashscreen}* || die
+       fi
+
+       if ! use source ; then
+               rm -v lib/src.zip || die
+       fi
+
+       rm -v lib/security/cacerts || die
+       dosym ../../../../etc/ssl/certs/java/cacerts \
+               "${dest}"/lib/security/cacerts
+
+       dodir "${dest}"
+       cp -pPR * "${ddest}" || die
+
+       # provide stable symlink
+       dosym "${P}" "/opt/${PN}-${SLOT}"
+
+       use gentoo-vm && java-vm_install-env "${FILESDIR}"/${PN}-${SLOT}.env.sh
+       java-vm_set-pax-markings "${ddest}"
+       java-vm_revdep-mask
+       java-vm_sandbox-predict /dev/random /proc/self/coredump_filter
+}
+
+pkg_postinst() {
+       java-vm-2_pkg_postinst
+
+       if use gentoo-vm ; then
+               ewarn "WARNING! You have enabled the gentoo-vm USE flag, making 
this JDK"
+               ewarn "recognised by the system. This will almost certainly 
break"
+               ewarn "many java ebuilds as they are not ready for openjdk-11"
+       else
+               ewarn "The experimental gentoo-vm USE flag has not been enabled 
so this JDK"
+               ewarn "will not be recognised by the system. For example, 
simply calling"
+               ewarn "\"java\" will launch a different JVM. This is necessary 
until Gentoo"
+               ewarn "fully supports Java 11. This JDK must therefore be 
invoked using its"
+               ewarn "absolute location under ${EPREFIX}/opt/${P}."
+       fi
+}

Reply via email to